/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtymis.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtymis.custom.dto.ForeignOrderDto;
import com.tofly.xrtymis.custom.dto.other.GdConfigDto;
import com.tofly.xrtymis.custom.entity.OrderTypeByIdResult;
import com.tofly.xrtymis.custom.entity.TypeTree;
import com.tofly.xrtymis.custom.vo.ConfingTypeVo;
import com.tofly.xrtymis.entity.Gdflowconfig;

import java.util.List;

/**
 * ${comments}
 *
 * @author fcl
 * @date Mon May 31 00:00:00 CST 2021
 */
public interface GdflowconfigService extends IService<Gdflowconfig> {

    Gdflowconfig getByOrderType(Long gdlx);

    Gdflowconfig loadGdFlowConfig(Long id, Long xf1id, Long xf2id);

    ResultRespone saveConfig(GdConfigDto gdConfigDto);

    IPage<OrderTypeByIdResult> getConfig(Page page, String type, String departId, String sfDelete , Long gdlx , String viewType);

    ResultRespone updateConfig(GdConfigDto gdConfigDto);

    ResultRespone getTypeTree(String viewType);

    List<ConfingTypeVo> getOrderType();

    String orderTypeCheck(ForeignOrderDto dto);
}
